Extending Qt Creator Manual | EnvironmentAspect

Extending Qt Creator Manual 4.5.2

# EnvironmentAspect Class

(ProjectExplorer::EnvironmentAspect)

Inherits: | ProjectExplorer::IRunConfigurationAspect

- List of all members, including inherited members

## Public Functions

virtual Utils::Environment | baseEnvironment() const = 0
int | baseEnvironmentBase() const
virtual QString | baseEnvironmentDisplayName(int base) const = 0
Utils::Environment | environment() const
virtual QList<int> | possibleBaseEnvironments() const = 0
void | setBaseEnvironmentBase(int base)
void | setUserEnvironmentChanges(const QList<Utils::EnvironmentItem> &diff)
QList<Utils::EnvironmentItem> | userEnvironmentChanges() const

- 18 public functions inherited from ProjectExplorer::IRunConfigurationAspect

## Signals

void | baseEnvironmentChanged()
void | environmentChanged()
void | userEnvironmentChangesChanged(const QList<Utils::EnvironmentItem> &diff)

## Protected Functions

| EnvironmentAspect(RunConfiguration *rc)

## Reimplemented Protected Functions

virtual void | fromMap(const QVariantMap &map) override
virtual void | toMap(QVariantMap &map) const override

- 2 protected functions inherited from ProjectExplorer::IRunConfigurationAspect

## Member Function Documentation

### `[protected]` EnvironmentAspect::EnvironmentAspect(RunConfiguration *rc)

Default constructs an instance of EnvironmentAspect.

### `[pure virtual]` Utils::Environment EnvironmentAspect::baseEnvironment() const

### int EnvironmentAspect::baseEnvironmentBase() const

See also setBaseEnvironmentBase().

### `[signal]` void EnvironmentAspect::baseEnvironmentChanged()

### `[pure virtual]` QString EnvironmentAspect::baseEnvironmentDisplayName(int base) const

### Utils::Environment EnvironmentAspect::environment() const

### `[signal]` void EnvironmentAspect::environmentChanged()

### `[override virtual protected]` void EnvironmentAspect::fromMap(const QVariantMap &map)

### `[pure virtual]` QList<int> EnvironmentAspect::possibleBaseEnvironments() const

### void EnvironmentAspect::setBaseEnvironmentBase(int base)

See also baseEnvironmentBase().

### void EnvironmentAspect::setUserEnvironmentChanges(const QList<Utils::EnvironmentItem> &diff)

See also userEnvironmentChanges().

### `[override virtual protected]` void EnvironmentAspect::toMap(QVariantMap &map) const

### QList<Utils::EnvironmentItem> EnvironmentAspect::userEnvironmentChanges() const

See also setUserEnvironmentChanges().

### `[signal]` void EnvironmentAspect::userEnvironmentChangesChanged(const QList<Utils::EnvironmentItem> &diff)